Bug 22755 - sbpcd.o no longer detects at base=0x230
sbpcd.o no longer detects at base=0x230
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Florence RC-1
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-12-22 16:24 EST by Henri Schlereth
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-02 23:28:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Henri Schlereth 2000-12-22 16:24:37 EST
I attempted a text dd install and the installer refuses to either scan base
or accept my input for sbpcd=0x230,1.
I cross tested on the 7.0 installer and when I dont provided a base address
it scans
and finds the cd-rom.
Rebooting to 7.0 allows me to mount the cd-drive w/o any errors.
Comment 1 Henri Schlereth 2000-12-24 15:59:47 EST
Did an NFS text install instead and got the system up and running. The sbpcd.o provided only scans for 0x340 and then
gives up despite entries in modules.conf and gives me a:
no drive found
/dev/cdrom has a wrong major or minor number (that was against ln -s sbpcd cdrom)
/dev/sbpcd has a wrong major or minor number.

Happy Yule.
Comment 2 Michael Fulbright 2000-12-27 12:02:27 EST
Assigning to a developer with sbpcd experience.
Comment 3 Henri Schlereth 2001-01-09 11:46:02 EST
Addendum: I have compared the source code from kernel.org (2.4) and the beta1
stuff and
they are identical. I have also contacted the maintainer as the version in
question is
4.63 of sbpcd.c and I know that sbpcd.c (v4.61) in the 2.2.16 series (rh70) does
This was done w/o reference to being on the Beta Team.

Comment 4 Erik Troan 2001-01-09 14:52:49 EST
Have you provided the driver command-line parameters to force it to look lower?
Comment 5 Henri Schlereth 2001-01-09 15:40:49 EST
Yes, didnt you read the entire bug report?

"or accept my input for sbpcd=0x230,1."

Version 4.63 of sbpcd.c errors out  if you do not provide command line parameters.
Version 4.61 (2.2.16-22) will probe all addresses if no command line or module.conf parameters are set.
Comment 6 Erik Troan 2001-01-09 15:45:11 EST
When you select the module, have you selected the checkbox to specfiy module
Comment 7 Henri Schlereth 2001-01-09 16:21:16 EST
OK let's do this step by step, since I dont seem to be clear enough to you on this. (likely my fault)

1. Attempt beta1 install with a text dd
2. Select cd-rom, select ok based on spbcd.c v4.61 autoprobe behavior (it fails, new behavior "requires" input parameters)
3. Second install attempt.
4. Provide input parameters and yes checkmark module parameters.
5. It probes only and only 0x340 (ignoring my input of 0x230,1) and fails.
6. Do an NFS install of beta1
7. Attempt to load sbpcd.o with modules.conf settings and / or manual insmod sbpcd.o sbpcd=0x230,1
8. It probes only and only 0x340 and fails.
9. Compare source code for rpm and linux.org source code (identical v 4.63 of sbpcd.c) and that of srpm of 2.2.18-22 (ver 4.61 of

The first time I did this I reverted back to a re-install of RH7.0 where the sbpcd does work. Then did the beta1 all over again to
document all the steps.

There is something wrong with the source code as provided by the maintainer/developer of the legacy cd-rom source code.
From what I am reading he is a new maintainter replacing emonke.

 I am recompiling the new code (4.63) as I type and if it fails I will attempt to revert to
4.61 of sbpcd.c. and if that fails ( I may need to modify to make it compile under 2.4) 

Enclosed is the template for this machine as submitted to beta-hw:

Machine ID/name: #4/shonjir
CPU: 486 1
Memory: 16MB 1
Motherboard: N/A 1
Video: Trident 1MB SVGA 1
Storage: WDC AC13200B 3098MB IDE 1
CD-Rom: Panasonic CR-563 5 *
Network: 3c503 Etherlink II-TP ISA 2 

lspci: N/A
lspci -n: N/A

Bugzilla entries: 

22755 sbpcd.o no longer detects at base address 0x230

* Works in all releases from RH7 back.

Comment 8 Glen Foster 2001-01-11 16:14:40 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 9 Henri Schlereth 2001-01-12 09:58:12 EST
Addendum. I have contact the developer/maintainer(Andrew Kroll) of the legacy cdroms and he thinks it may be
 an issue with modutils and is setting up a crash box. Apparently I wasnt the only one that has reported this problem. I made
no mention of beta testing and pitched this a person running rawhide.
He has set up a news site http://legacy.dr.ea.ms for updates.
Comment 10 Henri Schlereth 2001-01-12 13:06:44 EST
Doesnt work under beta2. Didnt expect it to work bacause of the timing between
version releases and no new input from devloper/maintainer.
Comment 11 Erik Troan 2001-01-16 15:20:55 EST
This isn't an anaconda problem as it doesn't work normally either.
Comment 12 Michael K. Johnson 2001-01-19 12:51:20 EST
Maybe the "1" is confusing it; the moddule currently has instructions
that look like this:
 * use: tell LILO:
 *                 sbpcd=0x230,SoundBlaster
 *             or
 *                 sbpcd=0x300,LaserMate
 *             or
 *                 sbpcd=0x338,SoundScape
 *             or
 *                 sbpcd=0x2C0,Teac16bit
Can you see if that works?
Comment 13 Henri Schlereth 2001-01-19 22:08:37 EST
The "1" is not confusing. Further down in the sbpcd.h file you will note that
the proper
syntax for insmod is 0x230,1. What you are looking at is for lilo. Since the
installer failed to
find the cd I was forced to do an NFS install and afterward the insmod fails.

I have appended the 0x230,SoundBlaster to lilo as you requested and rebooted the
Scanning begins at 0x340 and ignores any other provided value. And fails.

Comment 14 Michael K. Johnson 2001-01-22 13:56:14 EST
Thanks, sorry for the confusion.
Comment 15 Glen Foster 2001-01-24 19:44:32 EST
This defect has been re-classified as MUST-FIX for Florence Release-Candidate #1
Comment 16 Tim Waugh 2001-02-02 17:31:20 EST
I don't think this is a modutils problem, since 2.3.17 gives the same behaviour
as 2.4.2 for me.  Not that I actually have one of these drives, but 'modprobe
sbpcd sbpcd=0x230,1' puts two 'probing 0x340' messages in the kernel ring buffer
for both modutils versions.
Comment 17 Henri Schlereth 2001-02-02 23:28:20 EST
I am bumping this to beta3 as it still fails as defined and the developer/maintainer states on his web site:

Jan 31, 2001: Crash box is nearly set to go, just lacking disk space. Patch recieved from Paul Gortmaker, to be released after
full review and it's impact on older kernels. A test replacement c file or and patch will be available on this web page.
Comment 18 Arjan van de Ven 2001-02-14 19:54:39 EST
The sbpcd driver didn't parse it's arguments. Fix is in the next build.
(2.4.1-0.1.9 or later).

Please reopen this bug if this is not fixed in a such a build.
Comment 19 Henri Schlereth 2001-02-24 16:29:38 EST
Unable to verify because of #29143
Comment 20 Henri Schlereth 2001-03-02 09:46:04 EST
I am re-opening this under RC1 because it was broken there too, however the nightly build diskettes worked just
fine so I will change this this to an RFE because one cannot assume that everyone knows their base address of
the cdrom drive. I have two of these and they are both set to 0x230,1 (I like consistency in hardware).

Until RH70 this would auto probe all the supported base addresses. I think that the chocie would be good. If
supply module parameters is not selected probe all addresses (which is the normal behaviour on insmod/modprobe anyway)
or if they know it let 'em put it in.

Note You need to log in before you can comment on or make changes to this bug.